<template>
    <div>
        <el-form :model="formData" :rules="rules" ref="form" label-width="80px" label-position="right" size="small"
                 style="max-width: 500px;">
                                                                                        <el-form-item prop="delFlag" label="删除标识">
                <el-input v-model="formData.delFlag"></el-input>
            </el-form-item>
                                                                                                                                                                                                                                                                                                        <el-form-item prop="nameAaa" label="名称1">
                <el-input v-model="formData.nameAaa"></el-input>
            </el-form-item>
                                                                                                                                                                                                                                                                                                        <el-form-item prop="nameBbb" label="名称2">
                <el-input v-model="formData.nameBbb"></el-input>
            </el-form-item>
                                                                                                                                                                                                                                                                    <el-form-item>
                <el-button @click="onSave" :loading="$store.state.fetchingData" type="primary">保存</el-button>
                <el-button @click="onDelete" v-if="formData.id" type="danger">删除</el-button>
                <el-button @click="$router.go(-1)">取消</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
    import formValidator from '../formValidator'

    export default {
        created() {
            if (this.$route.query.id) {
                this.$http.get({
                    url: '/testBbbCopy/getOne',
                    data: {
                        id: this.$route.query.id
                    }
                }).then(res => {
                    if (res.success) {
                        this.formData = res.data;
                    }
                })
            }
        },
        data() {
            return {
                saving: false,
                formData: {},
                rules: {
                                                                                                                                    },
        }
        },
        methods: {
            onSave() {
                this.$refs.form.validate((valid) => {
                    if (valid) {
                        this.submit();
                    } else {
                        return false;
                    }
                });
            },
            submit() {
                var data = JSON.parse(JSON.stringify(this.formData));
                this.$http.post({
                    url: this.formData.id ? '/testBbbCopy/update' : '/testBbbCopy/save',
                    data: data
                }).then(res => {
                    if (res.success) {
                        this.$message.success('成功');
                        this.$router.go(-1);
                    } else {
                        this.$message.warning('失败')
                    }
                });
            },
            onDelete() {
                this.$alert('删除将无法恢复，确认要删除么？', '警告', { type: 'error' }).then(() => {
                    return this.$http.post({
                    url: '/testBbbCopy/del',
                    data: { id: this.formData.id }
                    })
                }).then(() => {
                    this.$message.success('删除成功');
                    this.$router.go(-1);
                }).catch(action => {
                    if (action === 'cancel') {
                        this.$message.info('删除取消');
                    } else {
                        this.$message.error('删除失败');
                    }
                })
            },
        }
    }
</script>
<style lang="less" scoped>
</style>
